Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ExprNode Struct Referenceabstract

A mathematical expression. More...

`#include <ast.h>`

Inheritance diagram for ExprNode:

## Public Member Functions
U32 | precompileStmt (U32 loopCount)
U32 | compileStmt (U32 *codeStream, U32 ip, U32 continuePoint, U32 breakPoint)
virtual U32 | precompile (TypeReq type)=0
virtual U32 | compile (U32 *codeStream, U32 ip, TypeReq type)=0
virtual TypeReq | getPreferredType ()=0
Public Member Functions inherited from StmtNode
| StmtNode ()
void | append (StmtNode *next)
StmtNode * | getNext ()
void | addBreakCount ()
void | addBreakLine (U32 ip)
virtual void | setPackage (StringTableEntry packageName)

## Additional Inherited Members
Public Attributes inherited from StmtNode
StmtNode * | next
| Next entry in parse tree. More...
StringTableEntry | dbgFileName
| Name of file this node is associated with. More...
S32 | dbgLineNumber

## Detailed Description

A mathematical expression.

## Member Function Documentation

virtual U32 compile | ( | U32 * | codeStream,
|  | U32 | ip,
|  | TypeReq | type
| ) |  |
| pure virtual

Implemented in ObjectDeclNode, SlotAssignOpNode, SlotAssignNode, InternalSlotAccessNode, SlotAccessNode, FuncCallExprNode, TTagExprNode, TTagDerefNode, AssignOpExprNode, AssignExprNode, ConstantNode, StrConstNode, FloatNode, IntNode, VarNode, FloatUnaryExprNode, IntUnaryExprNode, CommaCatExprNode, StrcatExprNode, StreqExprNode, IntBinaryExprNode, ConditionalExprNode, and FloatBinaryExprNode.

U32 compileStmt | ( | U32 * | codeStream,
|  | U32 | ip,
|  | U32 | continuePoint,
|  | U32 | breakPoint
| ) |  |
| virtual

Implements StmtNode.

virtual TypeReq getPreferredType | ( |  | ) |
| pure virtual

Implemented in ObjectDeclNode, SlotAssignOpNode, SlotAssignNode, InternalSlotAccessNode, SlotAccessNode, FuncCallExprNode, TTagExprNode, TTagDerefNode, AssignOpExprNode, AssignExprNode, ConstantNode, StrConstNode, FloatNode, IntNode, VarNode, FloatUnaryExprNode, IntUnaryExprNode, CommaCatExprNode, StrcatExprNode, StreqExprNode, IntBinaryExprNode, ConditionalExprNode, and FloatBinaryExprNode.

virtual U32 precompile | ( | TypeReq | type | ) |
| pure virtual

Implemented in ObjectDeclNode, SlotAssignOpNode, SlotAssignNode, InternalSlotAccessNode, SlotAccessNode, FuncCallExprNode, TTagExprNode, TTagDerefNode, AssignOpExprNode, AssignExprNode, ConstantNode, StrConstNode, FloatNode, IntNode, VarNode, FloatUnaryExprNode, IntUnaryExprNode, CommaCatExprNode, StrcatExprNode, StreqExprNode, IntBinaryExprNode, ConditionalExprNode, and FloatBinaryExprNode.

U32 precompileStmt | ( | U32 | loopCount | ) |
| virtual

Implements StmtNode.

The documentation for this struct was generated from the following files:

- console/ast.h
- console/astNodes.cc